#ifndef LOQDIALOG_H
#define LOQDIALOG_H

#include <QDialog>
#include <QMouseEvent>

class LoQDialog : public QDialog
{
    Q_OBJECT
public:
    explicit LoQDialog(QWidget *parent = nullptr);

protected:
    virtual void mousePressEvent(QMouseEvent *event);
    virtual void mouseMoveEvent(QMouseEvent *event);
    virtual void mouseReleaseEvent(QMouseEvent *event);
    virtual void showEvent(QShowEvent *event);

signals:

public slots:

protected:
    bool m_winMove=false;
    QPoint m_winOrgPoint;
    QPoint m_winWorldPoint;
};

#endif // LOQDIALOG_H
